Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBomb.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBomb.cc	(revision 11000)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBomb.cc	(revision 11004)
@@ -28,5 +28,5 @@
                 this->timeToLife_= LIFETIME;
                 this->setCollisionResponse(false);
-                this->setCollisionType(WorldEntity::Dynamic);
+                this->setCollisionType(WorldEntity::CollisionType::Dynamic);
                 this->enableCollisionCallback();
 
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/IceGunProjectile.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/IceGunProjectile.cc	(revision 11000)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/IceGunProjectile.cc	(revision 11004)
@@ -89,5 +89,5 @@
             Vector3 offset = this->getWorldPosition() - otherObject->getWorldPosition();
             freezer->setPosition(Vector3(0,0,0));
-            freezer->translate(offset, WorldEntity::World);
+            freezer->translate(offset, WorldEntity::TransformSpace::World);
             // Start the freezing effect.
             freezer->startFreezing();
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/LightningGunProjectile.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/LightningGunProjectile.cc	(revision 11000)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/LightningGunProjectile.cc	(revision 11004)
@@ -48,5 +48,5 @@
         this->textureIndex_ = 1;
         this->setMass(2);
-        this->setCollisionType(Dynamic);
+        this->setCollisionType(CollisionType::Dynamic);
         this->maxTextureIndex_ = 8;
         this->textureTimer_.setTimer(0.01f, true, createExecutor(createFunctor(&LightningGunProjectile::changeTexture, this)));
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/Projectile.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/Projectile.cc	(revision 11000)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/Projectile.cc	(revision 11004)
@@ -57,5 +57,5 @@
             this->enableCollisionCallback();
             this->setCollisionResponse(false);
-            this->setCollisionType(Dynamic);
+            this->setCollisionType(CollisionType::Dynamic);
 
             // Create a sphere collision shape and attach it to the projectile.
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/Rocket.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/Rocket.cc	(revision 11000)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/Rocket.cc	(revision 11004)
@@ -70,5 +70,5 @@
         if (GameMode::isMaster())
         {
-            this->setCollisionType(WorldEntity::Kinematic);
+            this->setCollisionType(WorldEntity::CollisionType::Kinematic);
             this->setVelocity(0,0,-100);
 
@@ -92,5 +92,5 @@
             this->enableCollisionCallback();
             this->setCollisionResponse(false);
-            this->setCollisionType(Kinematic);
+            this->setCollisionType(CollisionType::Kinematic);
 
             // Add collision shape
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.cc	(revision 11000)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.cc	(revision 11004)
@@ -70,5 +70,5 @@
         if (GameMode::isMaster())
         {
-            this->setCollisionType(WorldEntity::Kinematic);
+            this->setCollisionType(WorldEntity::CollisionType::Kinematic);
             this->setVelocity(0,0,-100);
 
@@ -92,5 +92,5 @@
             this->enableCollisionCallback();
             this->setCollisionResponse(false);
-            this->setCollisionType(Kinematic);
+            this->setCollisionType(CollisionType::Kinematic);
 
             // Add collision shape
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/SimpleRocket.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 11000)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 11004)
@@ -70,5 +70,5 @@
         if (GameMode::isMaster())
         {
-            this->setCollisionType(WorldEntity::Kinematic);
+            this->setCollisionType(WorldEntity::CollisionType::Kinematic);
             this->fuel_ = true;
 
@@ -87,5 +87,5 @@
             this->enableCollisionCallback();
             this->setCollisionResponse(false);
-            this->setCollisionType(Kinematic);
+            this->setCollisionType(CollisionType::Kinematic);
 
             // Add collision shape.
